curl --request DELETE \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/mileage/trips/{tripId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/mileage/trips/{tripId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/mileage/trips/{tripId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vehicle": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"make_and_model": "<string>",
"year": 123,
"is_primary": true,
"is_eligible_for_deletion": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"license_plate": "<string>",
"vin": "<string>",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
},
"distance": "<string>",
"trip_date": "2023-12-25",
"purpose": "UNREVIEWED",
"mileage_deduction_rate": "<string>",
"estimated_deduction": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"start_address": "<string>",
"end_address": "<string>",
"description": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}""Delete trip
Deletes a trip by marking it as deleted.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business
The UUID of the trip
Response
The deleted trip
The unique identifier of the trip
The vehicle used for this trip
Show child attributes
Show child attributes
The distance traveled in miles, as a decimal string
The date of the trip (YYYY-MM-DD)
The purpose classification of the trip
UNREVIEWED, BUSINESS, PERSONAL The IRS standard mileage rate in cents per mile applicable for the trip date
The estimated tax deduction in cents. Only calculated for BUSINESS trips; returns 0 for PERSONAL and UNREVIEWED trips.
Timestamp when the trip was created
Timestamp when the trip was last updated
An optional external identifier for the trip, used for idempotency
The starting address of the trip
The ending address of the trip
An optional description or notes about the trip
Timestamp when the trip was deleted, or null if not deleted